BaseExecSpec (Gradle API 8.11)

Package org.gradle.process

## Interface BaseExecSpec

- All Superinterfaces:
    `ProcessForkOptions`
  All Known Subinterfaces:
    `ExecSpec`, `JavaExecSpec`
  All Known Implementing Classes:
    `AbstractExecTask`, `Exec`, `JavaExec`, `RunTestExecutable`

      public interface BaseExecSpec
      extends ProcessForkOptions

  Specifies options for launching a child process.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getCommandLine()` | Returns the full command line, including the executable plus its arguments.
    `java.io.OutputStream` | `getErrorOutput()` | Returns the output stream to consume standard error from the process executing the command.
    `java.io.InputStream` | `getStandardInput()` | Returns the standard input stream for the process executing the command.
    `java.io.OutputStream` | `getStandardOutput()` | Returns the output stream to consume standard output from the process executing the command.
    `boolean` | `isIgnoreExitValue()` | Tells whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setErrorOutput​(java.io.OutputStream outputStream)` | Sets the output stream to consume standard error from the process executing the command.
    `BaseExecSpec` | `setIgnoreExitValue​(boolean ignoreExitValue)` | Sets whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setStandardInput​(java.io.InputStream inputStream)` | Sets the standard input stream for the process executing the command.
    `BaseExecSpec` | `setStandardOutput​(java.io.OutputStream outputStream)` | Sets the output stream to consume standard output from the process executing the command.

    - ### Methods inherited from interface org.gradle.process.ProcessForkOptions

      `copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setExecutable, setWorkingDir, setWorkingDir, workingDir`

- - ### Method Detail

    - #### setIgnoreExitValue

          BaseExecSpec setIgnoreExitValue​(boolean ignoreExitValue)

      Sets whether a non-zero exit value is ignored, or an exception thrown.
      Parameters:
        `ignoreExitValue` - whether a non-zero exit value is ignored, or an exception thrown
      Returns:
        this

    - #### isIgnoreExitValue

          boolean isIgnoreExitValue()

      Tells whether a non-zero exit value is ignored, or an exception thrown. Defaults to `false`.
      Returns:
        whether a non-zero exit value is ignored, or an exception thrown

    - #### setStandardInput

          BaseExecSpec setStandardInput​(java.io.InputStream inputStream)

      Sets the standard input stream for the process executing the command. The stream is closed after the process completes.
      Parameters:
        `inputStream` - The standard input stream for the process. Must not be null.
      Returns:
        this

    - #### getStandardInput

          java.io.InputStream getStandardInput()

      Returns the standard input stream for the process executing the command. The stream is closed after the process completes. Defaults to an empty stream.
      Returns:
        The standard input stream.

    - #### setStandardOutput

          BaseExecSpec setStandardOutput​(java.io.OutputStream outputStream)

      Sets the output stream to consume standard output from the process executing the command. The stream is closed after the process completes.
      Parameters:
        `outputStream` - The standard output stream for the process. Must not be null.
      Returns:
        this

    - #### getStandardOutput

          java.io.OutputStream getStandardOutput()

      Returns the output stream to consume standard output from the process executing the command. Defaults to `System.out`.
      Returns:
        The output stream

    - #### setErrorOutput

          BaseExecSpec setErrorOutput​(java.io.OutputStream outputStream)

      Sets the output stream to consume standard error from the process executing the command. The stream is closed after the process completes.
      Parameters:
        `outputStream` - The standard output error stream for the process. Must not be null.
      Returns:
        this

    - #### getErrorOutput

          java.io.OutputStream getErrorOutput()

      Returns the output stream to consume standard error from the process executing the command. Default to `System.err`.
      Returns:
        The error output stream.

    - #### getCommandLine

          java.util.List<java.lang.String> getCommandLine()

      Returns the full command line, including the executable plus its arguments.
      Returns:
        The full command line, including the executable plus its arguments